Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000595Frama-CDocumentationpublic2010-10-04 23:262016-06-21 14:24
Reporterkalyan 
Assigned Tovirgile 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Boron-20100401 
Target VersionFrama-C Carbon-20101201-beta1Fixed in VersionFrama-C Carbon-20101201-beta1 
Summary0000595: Implementation <-> Documentation Inconsistency
DescriptionI see that the Plug-in development guide is not accurate (or consistent with the implementation, if I should put it this way). It makes it difficult for beginners to work with plugin-development, especially using visitors. For example, Section 4.14.3 (Action Performed) and compare it with the implementation, you don't see any DoChildrenPost () and you don't see any JustCopyPost () in the guide. It would be great if you update the plugin-development guide as and when you make changes in the implementation.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-10-04 23:26 kalyan New Issue
2010-10-04 23:26 kalyan Status new => assigned
2010-10-04 23:26 kalyan Assigned To => signoles
2010-10-05 08:38 signoles Assigned To signoles => virgile
2010-10-13 07:01 signoles Status assigned => confirmed
2010-10-26 13:13 virgile Target Version => Frama-C Carbon
2010-12-02 15:16 svn Checkin
2010-12-02 15:16 svn Status confirmed => resolved
2010-12-02 15:16 svn Resolution open => fixed
2010-12-10 15:45 signoles Fixed in Version => Frama-C Carbon-20101201-beta1
2010-12-17 19:35 signoles Status resolved => closed
2016-06-21 14:11 signoles Category Documentation => Documentation > ACSL
2016-06-21 14:24 signoles Category Documentation > ACSL => Documentation


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker